<?php

/** This file is part of KCFinder project
  *
  *      @desc Base configuration file
  *   @package KCFinder
  *   @version 3.12
  *    @author Pavel Tzonkov <sunhater@sunhater.com>
  * @copyright 2010-2014 KCFinder Project
  *   @license http://opensource.org/licenses/GPL-3.0 GPLv3
  *   @license http://opensource.org/licenses/LGPL-3.0 LGPLv3
  *      @link http://kcfinder.sunhater.com
  */

/* IMPORTANT!!! Do not comment or remove uncommented settings in this file
   even if you are using session configuration.
   See http://kcfinder.sunhater.com/install for setting descriptions */
//include_once "plugins/cropresize/plugin.php";
if( isset($_GET['uid']) ){
	$uploadurl = "/images/upload/".$_GET['uid'];
}else{
	$uploadurl = "/images/upload/images_".date("m-Y");
}
//echo $_SERVER['DOCUMENT_ROOT'].$uploadurl;

$_CONFIG = array(


// GENERAL SETTINGS

    'disabled' => false,
    'uploadURL' =>$uploadurl,
    'uploadDir' =>$_SERVER['DOCUMENT_ROOT'].$uploadurl,
    'theme' => "default",

    'types' => array(

    // (F)CKEditor types
		'files'   =>  "pdf doc xsl mp3 wav ogv docx m4a wma ogg oga wav",
        'flash'   =>  "swf",
        'images'  =>  "*img",
		'audio'		=> "mp3 wav ogv m4a wma ogg oga",
        

    // TinyMCE types
        'file'    =>  "",
        'media'   =>  "swf flv avi mpg mpeg qt mov wmv asf rm",
        'image'   =>  "*img",
    ),


// IMAGE SETTINGS

    'imageDriversPriority' => "imagick gmagick gd",
    'jpegQuality' => 90,
    'thumbsDir' => ".thumbs",

    'maxImageWidth' => 1920,
    'maxImageHeight' => 2200,

    'thumbWidth' => 178,
    'thumbHeight' => 100,

//     'watermark' => array('file' => 'http://www.amic.ru/design/logo_amic.png','left'=>30,'top'=>30),


// DISABLE / ENABLE SETTINGS

    'denyZipDownload' => false,
    'denyUpdateCheck' => false,
    'denyExtensionRename' => false,


// PERMISSION SETTINGS

    'dirPerms' => 0755,
    'filePerms' => 0644,

    'access' => array(

        'files' => array(
            'upload' => true,
            'delete' => false,
            'copy'   => true,
            'move'   => true,
            'rename' => true
        ),

        'dirs' => array(
            'create' => false,
            'delete' => false,
            'rename' => true
        )
    ),

    'deniedExts' => "exe com msi bat cgi pl php phps phtml php3 php4 php5 php6 py pyc pyo pcgi pcgi3 pcgi4 pcgi5 pchi6",


// MISC SETTINGS

    'filenameChangeChars' => array(/*
        ' ' => "_",
        ':' => "."
    */),

    'dirnameChangeChars' => array(/*
        ' ' => "_",
        ':' => "."
    */),

    'mime_magic' => "",

    'cookieDomain' => "",
    'cookiePath' => "",
    'cookiePrefix' => 'KCFINDER_',


// THE FOLLOWING SETTINGS CANNOT BE OVERRIDED WITH SESSION SETTINGS

    '_normalizeFilenames' => true,
    '_check4htaccess' => false,
    //'_tinyMCEPath' => "/tiny_mce",
	'denyUpdateCheck' => true,
    '_sessionVar' => "KCFINDER",
    //'_sessionLifetime' => 30,
    //'_sessionDir' => "/full/directory/path",
    //'_sessionDomain' => ".mysite.com",
    //'_sessionPath' => "/my/path",

    //'_cssMinCmd' => "java -jar /path/to/yuicompressor.jar --type css {file}",
    //'_jsMinCmd' => "java -jar /path/to/yuicompressor.jar --type js {file}",

);

