<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var manager\models\Comments $model */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Comments', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="comments-view">

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'news_id',
            'visible',
            'message:ntext',
            'ip_address',
            'user_agent:ntext',
			[
				'label' => 'User Agent - компактный',
				'value' => md5( $model->user_agent )
			],
            'created_by_user_id',
            'created_at',
        ],
    ]) ?>

</div>
