<?php
namespace manager\controllers;

use  \app\models\Kd;
use Yii;


class KdController extends BaseController
{
    public function actionIndex()
    {
		$model = new Kd();
        return $this->render('/kd/list', ['model' => $model]);
    }

    public function actionPreview()
    {
		$model = new Kd();
        return $this->renderPartial('/kd/preview', ['model' => $model]);
    }

    public function actionTogleauto()
    {
		$auto_news = Yii::$app->cache->get('main_auto_news');
		Yii::$app->cache->set('main_auto_news', !$auto_news);
		return $this->redirect('index');
	}

    public function actionSort()
    {
		if (isset($_GET['item']) && is_array($_GET['item'])) {
			$i = 0;
			$a = array();
			// beginTransaction(); было бы неплохо обернуть в транзакцию но хз как это сделать
			foreach ($_GET['item'] as $item) {
				if( $item > 0 ){
					$model = Kd::findone(['id'=>$item]);
					if($model == false){
						$model = new Kd();
						$model->id = $item;
					}
					$model->order = $i;
					$a[$model->id] = $i;
					//				print_a($model);exit;
					$model->save(true, ['order','id']);
				}
				$i++;
				if( $i > 7 ) break;
			}
			return json_encode(['status'=>'ok','data'=>$a]);
		}
		return json_encode(['status'=>'err']);
    }

}
