<?php
use yii\web\View;
/**
 * @var $this \yii\web\View
 * @var $model \manager\models\Gallery
 */
?>
<div class="row mb-3" id="gallery-<?=$model->id?>">
    <div class="col-md-12">
        <div class="title">
            <h3>
                <?=$model->name?>
                <div class="form-group">
					<input type="text" class="form-control" value='<?=str_replace( "'", "&apos;", $model->name )?>' name="gallery_name[<?=$model->id?>]">
				</div>
                <div class="manage d-inline">
                    <!--<span class="galleryEdit u-cursor-pt" onclick="galleryEdit(<?=$model->id?>)"><i class="fas fa-edit text-primary"></i></span>-->
                    <span class="galleryRemove" onclick="galleryRemove(<?=$model->id?>)"><i class="fas fa-trash text-danger"></i></span>
                </div>
            </h3>

        </div>
        <div class="description">
            <p>
                <?=$model->description?>
            </p>
        </div>
        <div class="inject_code">
            <label for="inject">Код вставки</label>
            <div class="form-group">
                <input type="text" class="form-control" value="<?=$model->inject?>">
            </div>

        </div>
        <div class="widget">
            <?= \app\forks\galleryManager\GallaryManager::widget(
                [
                    'id' => 'galleryManager-'.$model->id,
                    'model' => $model,
                    'behaviorName' => 'galleryBehavior',
                    'apiRoute' => 'news/galleryApi'
                ]
            );?>
        </div>
    </div>
</div>
<?
