<?php
$action = Yii::$app->controller->action->id;
$index = ($action == "index");
?>
<footer class="footer">
    <div class="container">
        <div class="row">
            <nav class="footer-nav col-md-4">
                <ul class="footer-nav__list row">
                    <li class="footer-nav__item col-md-6"><a href="/news" class="footer-nav__link">Новости на сайте</a></li>
                    <li class="footer-nav__item col-md-6"><a href="https://fmprod.ru" class="footer-nav__link">FM-Продакшн</a></li>
                    <li class="footer-nav__item col-md-6"><a href="/rules" class="footer-nav__link">Пользовательское соглашение</a></li>
                    <li class="footer-nav__item col-md-6"><a href="/amic_price_2023.pdf" class="footer-nav__link">Реклама на сайте</a></li>
                    <li class="footer-nav__item col-md-6"><a href="/weather" class="footer-nav__link" title="Погода">Погода</a></li>
                    <li class="footer-nav__item col-md-6"><a href="/pr" class="footer-nav__link">Прайсы на предвыборную агитацию 2024г.</a></li>
                    <li class="footer-nav__item col-md-6"><a href="/about" class="footer-nav__link">О сайте</a></li>
                    <li class="footer-nav__item col-md-6">
                    <?if($index){?>
						<h1 style="line-height: 0em;"><a href="/news/altay" class="footer-nav__link" title="Новости Барнаула и Алтайского края">Новости Барнаула и Алтайского края</a></h1>
					<?}else{?>
						<h2 style="line-height: 0em;"><a href="/news/altay" class="footer-nav__link" title="Новости Барнаула и Алтайского края">Новости Барнаула и Алтайского края</a></h2>
					<?}?>
                    </li>
                    <li class="footer-nav__item col-md-12"><a href="/recommendation_rules" class="footer-nav__link">Правила применения рекомендательных технологий</a></li>
                </ul>
            </nav>
            <div class="col-md-4">
                <div class="footer-top__about">
                    <p>
                        СМИ ИА "АМИТЕЛ" регистрационный номер ИА № ФС 77-78300 от 15.05.2020, зарегистрировано федеральной службой по надзору в сфере связи, информационных технологий и массовых коммуникаций (Роскомнадзор).
                    </p>
                    <p>
                        Учредитель: ООО "Амител", Главный редактор: Елена Викторовна
                        Пацар.
                    </p>
                    <p>
						Cетевое издание "Интернет-Сайт АМИЦ.РУ", регистрационный номер  Эл №ФС77-82910 от 31.03.2022 г., зарегистрировано Федеральной службой по надзору в сфере связи, информационных технологий и массовых коммуникаций (Роскомнадзор).                    </p>
                    <p>
                        Учредитель:  ООО «Траст-2» (ОГРН 1212200026543).
                    </p>
                    <p>
                        Россия, Алтайский край, 656049 г. Барнаул, пр.
                        Социалистический, 109 каб.305А тел.: Реклама (7-385-2)
                        27-18-18, Редакция (7-385-2) 59-44-66, (7-385-2) 59-33-66
                        <a href="mailto:news@amitel.ru">news@amitel.ru</a></p> <p>
                        Настоящий ресурс может содержать материалы 18+. При полном
                        или частичном использовании любой информации и
                        фотоматериалов гиперссылка на сайт ИА «Амител» обязательна.
                        Редакция может не разделять точку зрения авторов.
                    </p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="socials">
                    <ul class="socials__list">
                        <li class="socials__item">
                            <a href="https://ok.ru/amicru" target="_blank" class="social__item">
                                <svg class="icon icon-ok"><use xlink:href="/svg/symbol/sprite-clear.svg#ok"></use></svg>
                            </a>
                        </li>
                        <li class="socials__item">
                            <a href="https://vk.com/amic_ru" target="_blank" class="social__item">
                                <svg class="icon icon-vk"><use xlink:href="/svg/symbol/sprite-clear.svg#vk"></use></svg>
                            </a>
                        </li>
                    </ul>
                </div>

                <?=$this->render('footer/metrics')?>
            </div>
        </div>

    </div>
    <div class="footer__bottom">
        <div class="footer-bottom section">
            <div class="footer-bottom__wrapper section-wrapper">
                <div class="footer-bottom__info">
                    <span>©&nbsp;ООО «Амител», 1999–<?=date("Y")?></span>
                    <span>
                        Провайдер&nbsp;—<a href="https://company.ttk.ru/" target="_blank">«TTK»</a>
                    </span>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php if (isset($this->blocks['FilterModal'])): ?>
    <?= $this->blocks['FilterModal'] ?>
<?php endif; ?>
