<?php
/**
 * @var $this \yii\web\View
 * @var $design \app\models\Design
 * @var $color string
 */
use app\models\base\Image;

?>
<div class="colorful-news-item <?=$color?>" onclick="location.href='<?=$design->parent->getUrl()?>'">
    <div class="background">
    </div>
    <?php
    $topic = $design->parent;
    if($topic instanceof \app\models\base\NewsTopic):
    ?>
        <div class="rubric">
            <a href="<?=$topic->getUrl()?>"><?=$topic->title?></a>
        </div>
    <?php endif;?>
    <div class="title">
        <a href="<?=$design->parent->getUrl()?>"> Смотреть все материлы раздела <?=$design->parent->title?></a>
        <p class="text-center mt-2">
            <a href="<?=$design->parent->getUrl()?>" class="button button_grey"> перейти</a>
        </p>
    </div>

</div>
