<?php
/**
 * @var $model \app\models\News
 * @var $key
 * @var $index
 * @var $widget
 */

?>
<div class="text-widget-item col-md-3" data-key="<?=$key?>">
    <div class="cont">
        <a href="<?=$model->url?>">
            <div class="meta">
                <h2 class="title"><?=$model->title?></h2>
            </div>
            <div class="published_at">
                <?=$model->publishedAt?>
                <?php
                $count=$model->getCommentsAll()->count();
                ?>
                <?php if($count>0 || 1):?>
                    <span class="comments">&nbsp;<svg class="icon icon-comments"><use xlink:href="/svg/symbol/sprite-clear.svg#comments"></use></svg><?=$count?></span>
                <?php endif;?>
            </div>
        </a>
    </div>
</div>