﻿/**
 * @license Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {

	// %REMOVE_START%
	// The configuration options below are needed when running CKEditor from source files.
	config.plugins = 'inject,basicstyles,oembed,dialogui,dialog,about,a11yhelp,dialogadvtab,clipboard,button,panelbutton,panel,floatpanel,colorbutton,colordialog,templates,menu,contextmenu,div,resize,toolbar,elementspath,enterkey,entities,popup,filebrowser,find,fakeobjects,floatingspace,listblock,richcombo,format,horizontalrule,htmlwriter,iframe,wysiwygarea,image,indent,indentblock,indentlist,justify,menubutton,link,list,liststyle,magicline,maximize,newpage,newPlugin,pagebreak,pastetext,pastefromword,preview,print,removeformat,save,selectall,showblocks,showborders,sourcearea,stylescombo,tab,table,tabletools,undo,lineutils,widget,notification,onchange,tweetabletext,chart,blockquote,specialchar';
//	config.extraPlugins = 'autosave';
	config.extraPlugins = 'wordcount,polls,twinimg,figure,bootstrapMediaEmbed';
	config.locationMapPath = '/widget/';
//	config.extraPlugins = 'powrsocialfeed';
config.wordcount = {

    // Whether or not you want to show the Word Count
    showWordCount: true,

    // Whether or not you want to show the Char Count
    showCharCount: true,

    // Maximum allowed Word Count
//    maxWordCount: 4,

    // Maximum allowed Char Count
//    maxCharCount: 10
	countSpacesAsChars: true,
};
	config.skin = 'moono';
	//config.toolbar_Full.push(['newPlugin']);
	// %REMOVE_END%
	config.disableNativeSpellChecker = false;
	// Define changes to default configuration here. For example:
	config.extraAllowedContent = 'a[data-lightbox,data-title,data-lightbox-saved]'; // lightbox
	config.language = 'ru';
	// config.uiColor = '#AADC6E';
	// config.extraPlugins='audio';
//	config.basicEntities = false;
	config.entities = false;
	config.colorButton_enableMore = true;
//	config.enterMode = CKEDITOR.ENTER_BR; //non auto paragraph
	config.allowedContent = true;
	config.forcePasteAsPlainText = false;
	config.pasteFilter = 'h2 ul ol li; img[!src, alt]; a[!href]';
	config.pasteFromWordRemoveStyles = true;
	config.templates_replaceContent = false;
	config.chart_configBar = { animation: true };
	config.chart_maxItems = 12;
	config.chart_colors =
	{
		// Colors for Bar/Line chart.
		fillColor: 'rgba(151,187,205,0.5)',
		strokeColor: 'rgba(151,187,205,0.8)',
		highlightFill: 'rgba(151,187,205,0.75)',
		highlightStroke: 'rgba(151,187,205,1)',
    // Colors for Doughnut/Pie/PolarArea charts.
		data: [ '#6b8cab', '#2c62a0', '#00b5b0', '#71B232', '#33B22D', '#31B272', '#2DB5B5', '#3172B6', '#3232B6', '#6E31B2', '#B434AF', '#B53071' ]
	}
//	config.filebrowserImageBrowseUrl = '/admin/ckeditor/kcfinder/browse.php?type=images';
	config.toolbarGroups = [

		{ name: 'document', groups: [ 'mode', 'doctools', 'document' ] },
		{ name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] },
		{ name: 'forms', groups: [ 'forms' ] },
		{ name: 'tools', groups: [ 'tools' ] },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'clipboard', groups: [ 'clipboard', 'undo' ] },
		{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'paragraph', 'figure' ] },
		'/',

		{ name: 'styles', groups: [ 'styles' ] },
		{ name: 'colors', groups: [ 'colors' ] },
		{ name: 'insert', groups: [ 'insert','bootstrapMediaEmbed' ] },
		{ name: 'links', groups: [ 'links' ] },
		{ name: 'others', groups: [ 'others' ] },
		{ name: 'about', groups: [ 'about' ] }
	];

	config.removeButtons = 'About,NewPage,Save';
	config.format_tags = 'p;h2;h3;h4;h5;h6;div';
	config.font_names = 'PT Serif;Roboto Condensed;Fira Sans;serif;Arial;Times New Roman;Verdana;Tahoma;sans-serif';
};
/*CKEDITOR.stylesSet.add( 'default',
[
    { name : 'Разрыв строки', element : 'div', attributes : { 'class' : 'clearing' } },
    { name : 'Texto Explicacion Servicio', element : 'div', attributes : { 'class' : 'texto_explicacion_servicio' } },
    { name : 'Texto Fondo Foto', element : 'div', attributes : { 'class' : 'intro_fondo_foto' } }
]); 
*/
