<?php

use yii\db\Migration;

/**
 * Class m230412_034143_filter
 */
class m230412_034143_filter extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
	$sql = "CREATE TABLE `tagsfilter` (
	`id` int UNSIGNED NOT NULL COMMENT 'id tag',
	`sort` int UNSIGNED NOT NULL DEFAULT '0'
	) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='меню тэгов для фильтров';";
        $this->execute($sql);
        $sql = "ALTER TABLE `tagsfilter` ADD PRIMARY KEY (`id`),  ADD KEY `sort` (`sort`);COMMIT;";
	$this->execute($sql);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        echo "m230412_034143_filter cannot be reverted.\n";

        return false;
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m230412_034143_filter cannot be reverted.\n";

        return false;
    }
    */
}
