<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use  \app\models\base\Tags;


if( $model->isNewRecord ){
	$title = 'номер тэга';
}else{
	$tag = Tags::findOne($model->id);
	$title = 'Тэг: '.$tag->title;
}

$form = ActiveForm::begin([
    'id' => 'tags-form',
    'options' => ['class' => 'form-horizontal', 'enctype' => 'multipart/form-data']]);

?>
<input type="hidden" name="Tagsfilter[sort]" value="<?=$model->id?$model->id:99?>">
<?

?>
<div class="container-fluid">
<div class="row">
	<div class="col">
<?

echo $form->field($model, 'id')->textInput([
                    'maxlength' => true,
                    'class' => 'form-control js-word-count-input',
					'placeholder' => 'номер тэга',
//					'id' => 'js-news-content'
                ])->label($title);
?>
<div class="ui-widget">
  <label for="birds">Поиск: </label>
<input type="text" id="search">
</div>
<div class="form-group">
<?
	echo Html::submitButton('Send', ['class' => 'btn btn-success']);
?>
</div>
</div>
</div>
</div>
<script>
$(function() {
    var cache = {};
    $( "#search" ).autocomplete({
        source: function( request, response ) {
            var term = request.term;
            if ( term in cache ) {
                response( cache[ term ] );
                return;
            }

            $.getJSON( "/manager/tagsfilter/search", {'q':request.term}, function( data, status, xhr ) {
				if( data.status == 'ok' ){
					cache[ term ] = data.item;
					response( data.item );
				}
            });
        },
        minLength: 3,
        select: function( event, ui ) {
               $( "#tagsfilter-id" ).val(ui.item.id);
        },
    });

});
</script>
<?
ActiveForm::end();
