<?php
/*
 * Регистрация serviceWorker для кэширования медренных скриптов
*/
?>

<script>
(function () {
	if ('serviceWorker' in navigator) {
    // Весь код регистрации у нас асинхронный.
	console.log('reg serviceWorker');
    navigator.serviceWorker.register('/sw.js')
      .then(() => navigator.serviceWorker.ready.then((worker) => {
        if (worker.sync) {
			console.log('register syncdata');
			worker.sync.register('syncdata');
		}
      }))
      .catch((err) => console.log(err));
	}else{
			console.log('no serviceWorker');
	}
});
</script>
