<?php
/**
 * @var $this \yii\web\View
 * @var $gallery \app\models\front\Gallery
 */

use yii\helpers\Html;
use yii\helpers\Url;
?>
<?php if($gallery instanceof \app\models\front\Gallery && count($gallery->getBehavior('galleryBehavior')->getImages())>0 ):?>
<amp-carousel width="450" height="300" layout="responsive" type="slides" role="region" aria-label="<?=Html::encode($gallery->name)?>" >
                    <?php
                    foreach($gallery->getBehavior('galleryBehavior')->getImages() as $image):/** @var $image \app\forks\galleryManager\GalleryImage */ ?>
                              <amp-img src="https://www.amic.ru/<?= $image->getUrl('original')?>" width="450" height="300" alt="<?=Html::encode($image->name)?>"></amp-img>
                    <?php endforeach;?>
</amp-carousel>
        <div class="amp-img-title"><?=$gallery->name?></div>
<?php endif;?>


